#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=linux

override_dh_auto_configure:
	# missing cargo pkg, rust-iconv
	dh_auto_configure -- --enable-ocr --enable-hardsubx --with-rust=no

override_dh_installchangelogs:
	dh_installchangelogs docs/CHANGES.TXT

override_dh_clean:
	dh_clean linux/objs/*.o linux/ccextractor src/lib_ccx/compile_info_real.h
	$(RM) -r linux/rust linux/build-conf
	find -name *.dll | xargs -r rm
	find -name *.lib | xargs -r rm

override_dh_autoreconf:
	cd linux && ./pre-build.sh
	dh_autoreconf
